Name:           nodejs-mapnik-pool
Version:        0.1.0
Release:        2%{?dist}
Summary:        Manage a pool of mapnik instances

License:        ISC
URL:            https://github.com/mapbox/mapnik-pool
Source0:        http://registry.npmjs.org/mapnik-pool/-/mapnik-pool-%{version}.tgz
# https://github.com/mapbox/mapnik-pool/pull/5
Source1:        nodejs-mapnik-pool-license.txt
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)

%description
If you want to use node-mapnik in an app with concurrency, you'll
want to use a map pool.

Concurrently using a single map instance can crash your app, and
several map instances will give you a significant speedup. mapnik-pool
manages a generic-pool of mapnik.Map instances so you don't have to.


%prep
%setup -q -n package
cp -p %{SOURCE1} LICENSE
%nodejs_fixdep generic-pool "^2.0.3"
%nodejs_fixdep xtend "^4.0.0"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mapnik-pool
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/mapnik-pool
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%tap test/*.js


%files
%doc LICENSE README.md
%{nodejs_sitelib}/mapnik-pool


%changelog
* Tue Nov 25 2014 Tom Hughes <tom@compton.nu> - 0.1.0-2
- Add license text

* Sat Nov 15 2014 Tom Hughes <tom@compton.nu> - 0.1.0-1
- Initial build of 0.1.0
